> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a custom domain

> Remove a custom domain. It is also removed from the hosting provider.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/custom-domains.yaml DELETE /custom_domains/{hostname}
openapi: 3.0.3
info:
  title: NeetoForm Custom Domains APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Custom Domains
    description: APIs to manage custom domains of the workspace.
paths:
  /custom_domains/{hostname}:
    delete:
      tags:
        - Custom Domains
      summary: Remove a custom domain
      description: Remove a custom domain. It is also removed from the hosting provider.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/hostname_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  notice:
                    type: string
                    example: The custom domain is successfully deleted.
        '404':
          description: Not Found - Custom domain does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: NeetoCustomDomainsEngine::Domain does not exist.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    hostname_param:
      in: path
      name: hostname
      description: >-
        Hostname of the custom domain. You can get it from the [List custom
        domains](/api/custom-domains/list) API.
      required: true
      schema:
        type: string
        example: forms.example.com
  schemas:
    error_response:
      type: object
      properties:
        error:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.